Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Enum CorrelationFit

    java.lang.Object
      java.lang.Enum<CorrelationFit>
          umontreal.iro.lecuyer.contactcenters.msk.params.CorrelationFit

All Implemented Interfaces:
  Serializable, Comparable<CorrelationFit>

    public enum CorrelationFit

extends Enum<CorrelationFit>

Java class for CorrelationFit.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CorrelationFit">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="FULLCORRELATION"/>
         <enumeration value="MARKOVLINEARFIT"/>
         <enumeration value="MARKOVSINGLERHO"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FULLCORRELATION` Uses the estimated copula correlation matrix for the Gamma-Poisson NORTA model for rates.
`MARKOVLINEARFIT` Fits the general linear model
`MARKOVSINGLERHO` Fits the single

Method Summary
`static CorrelationFit` | `fromValue(String v)`
`String` | `value()`
`static CorrelationFit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CorrelationFit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FULLCORRELATION

    public static final CorrelationFit FULLCORRELATION

  Uses the estimated copula correlation matrix for the Gamma-Poisson NORTA model for rates.

### MARKOVLINEARFIT

    public static final CorrelationFit MARKOVLINEARFIT

  Fits the general linear model

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">r_j = a b^j + c</i>

  to the estimated copula correlation matrix for the Gamma-Poisson NORTA model for rates.

### MARKOVSINGLERHO

    public static final CorrelationFit MARKOVSINGLERHO

  Fits the single

       <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">rho</tt>

  Markov linear model

       <?xml version="1.0" encoding="UTF-8"?><i xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">r_j = b^j</i>

  to the estimated copula correlation matrix for the Gamma-Poisson NORTA model for rates.

Method Detail

### values

    public static CorrelationFit[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CorrelationFit c : CorrelationFit.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CorrelationFit valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CorrelationFit fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.